Information on source package dhcpcd5

Available versions

ReleaseVersion
jessie6.0.5-2
jessie (security)6.0.5-2+deb8u1
stretch6.10.1-1
buster7.1.0-2
bullseye7.1.0-2
sid7.1.0-2

Open issues

BugjessiestretchbusterbullseyesidDescription
CVE-2019-11766fixedvulnerable (no DSA)fixedfixedfixeddhcp6.c in dhcpcd before 6.11.7 and 7.x before 7.2.2 has a buffer over ...
CVE-2019-11579fixedvulnerable (no DSA)fixedfixedfixeddhcp.c in dhcpcd before 7.2.1 contains a 1-byte read overflow with DHO ...
CVE-2019-11578fixedvulnerable (no DSA)fixedfixedfixedauth.c in dhcpcd before 7.2.1 allowed attackers to infer secrets by pe ...
CVE-2014-7912vulnerable (no DSA)fixedfixedfixedfixedThe get_option function in dhcp.c in dhcpcd before 6.2.0, as used in d ...

Open unimportant issues

BugjessiestretchbusterbullseyesidDescription
CVE-2014-7913vulnerablevulnerablefixedfixedfixedThe print_option function in dhcp-common.c in dhcpcd through 6.9.1, as ...

Resolved issues

BugDescription
CVE-2019-11577dhcpcd before 7.2.1 contains a buffer overflow in dhcp6_findna in dhcp ...
CVE-2016-1504dhcpcd before 6.10.0 allows remote attackers to cause a denial of serv ...
CVE-2016-1503dhcpcd before 6.10.0, as used in Android 4.x before 4.4.4, 5.0.x befor ...
CVE-2014-6060The get_option function in dhcpcd 4.0.0 through 6.x before 6.4.3 allow ...

Security announcements

DSA / DLADescription
DLA-1793-1dhcpcd5 - security update
DLA-506-1dhcpcd5 - security update

Search for package or bug name: Reporting problems